package si.xml.castor.comparator;

import java.io.FileReader;
import java.util.Iterator;
import java.util.ArrayList;

import org.exolab.castor.xml.Unmarshaller;
import org.exolab.castor.mapping.Mapping;

public class ListMapUnmarshaller {

    private RecordsList lst; 

    /**constructor*/
    ListMapUnmarshaller() {};

    public RecordsList readFile( String xml_file) {

	  Mapping mapping = new Mapping();

	  try {

	    mapping.loadMapping("list-map.xml");

	    FileReader reader = new FileReader(xml_file);

	    Unmarshaller unmarshaller = new Unmarshaller(RecordsList.class);

	    unmarshaller.setMapping(mapping);

            lst = (RecordsList)unmarshaller.unmarshal(reader);


          }
	  catch (Exception e) {

      	      System.err.println(e.getMessage());

              e.printStackTrace(System.err);

          }

          return lst;
    } 

}
